Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups
Interface Receiver

All Superinterfaces:
  MembershipListener, MessageListener

All Known Subinterfaces:
  ExtendedReceiver

All Known Implementing Classes:
  Draw, ExtendedReceiverAdapter, MyReceiver, NotificationBus, ReceiverAdapter, RELAY.Receiver, RelayDemoRpc, ReplicatedHashMap, ReplicatedTree, ViewDemo

    public interface Receiver

extends MessageListener, MembershipListener

Defines the callbacks that are invoked when messages, views etc are received on a channel

Author:
  Bela Ban

Method Summary

Methods inherited from interface org.jgroups.MessageListener
`getState, receive, setState`

Methods inherited from interface org.jgroups.MembershipListener
`block, suspect, viewAccepted`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.